Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package profile
  Definition Classes
    nsc
- ConsoleProfileReporter
- EventType
- ExtendedThreadMxBean
- ExternalToolHook
- GcEventData
- NoOpProfileReporter
- ProfileRange
- ProfileReporter
- ProfileSnap
- Profiler
- ProfilerPlugin
- ProfilerPluginRun
- StreamProfileReporter
- ThreadPoolFactory

o

scala.tools.nsc.profile

# ConsoleProfileReporter

###

#### object ConsoleProfileReporter extends ProfileReporter

Source
  Profiler.scala

Linear Supertypes
ProfileReporter, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ConsoleProfileReporter
2. ProfileReporter
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def close(profiler: RealProfiler): Unit
   Definition Classes
     ConsoleProfileReporter → ProfileReporter
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def header(profiler: RealProfiler): Unit
    Definition Classes
      ConsoleProfileReporter → ProfileReporter
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def reportBackground(profiler: RealProfiler, threadRange: ProfileRange): Unit
    Definition Classes
      ConsoleProfileReporter → ProfileReporter
18.  def reportForeground(profiler: RealProfiler, threadRange: ProfileRange): Unit
    Definition Classes
      ConsoleProfileReporter → ProfileReporter
19.  def reportGc(data: GcEventData): Unit
    Definition Classes
      ConsoleProfileReporter → ProfileReporter
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from ProfileReporter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped